//--- PAUSE MAKING FUNCTIONS ---------------------------------------------

//#define XTAL_4MHZ
#define XTAL_8MHZ

void Delay100us (byte aTs) // pause for aTs*100 us;
{ 

#ifdef XTAL_4MHZ
// 4+x*3 us = 4+3*32=100 us;
 do  {
     byte i = 33;            /* 2 IS */
     do ; while ( --i > 0);  /* 26 * 3 - 1 = 77 IS */
 } while ( --aTs > 0);         /* 3 IS */
#else
#ifdef XTAL_8MHZ
// 4+x*3 us = 4+3*66=202 = 101 us;
 do  {
     byte i = 66;            /* 2 IS */
     do ; while ( --i > 0);  /* 26 * 3 - 1 = 77 IS */
 } while ( --aTs > 0);         /* 3 IS */
#else
  #error Define XTAL_4MHZ or XTAL_8MHZ !
#endif
#endif
}

void Delay10ms (byte aTs) // pause for aTs*10 ms;
{
 for (; aTs > 0; aTs--) {
   Delay100us (100);
   CLRWDT();
 }
}

/*
void DelayMs (unsigned char aTs) // pause for aTs*1 ms;
{
 for (; aTs > 0; aTs--) {
   _CLRWDT
   Delay100us (10);
 }
}
*/

